#!/usr/bin/env bash

# install ansible (http://docs.ansible.com/intro_installation.html)
apt-get -y install software-properties-common
apt-add-repository -y ppa:ansible/ansible
apt-get update
apt-get -y install ansible

# configure hosts file for our internal network defined by Vagrantfile
cat > /etc/hosts <<EOL
# THIS FILE HAS BEEN GENERATED BY VAGRANT PROVISION
# ANY MANUAL MODIFICATIONS WILL BE OVERWRITTEN

127.0.1.1       ansmgmtsrv      ansmgmtsrv
127.0.0.1       localhost

# The following lines are desirable for IPv6 capable hosts
::1 ip6-localhost ip6-loopback
fe00::0 ip6-localnet
ff00::0 ip6-mcastprefix
ff02::1 ip6-allnodes
ff02::2 ip6-allrouters
ff02::3 ip6-allhosts

# vagrant environment nodes
10.0.15.111  ansmgmtsrv
10.0.15.112  weblbsrv
10.0.15.151  websrv01
10.0.15.152  websrv02
10.0.15.153  websrv03
10.0.15.154  websrv04
10.0.15.155  websrv05
10.0.15.156  websrv06
EOL
